#
# spec file for package python (Version 2.1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel blt db-devel expat gmp gpp gppshare l2h libgpp libjpeg libnetpbm libpng libtiff libungif libz mm netpbm openssl openssl-devel pcre readline readline-devel tcl tcl-devel te_kpath te_latex te_pdf termcap tetex tix tk xf86
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison blt bzip compress cpio cpp cracklib cyrus-sasl db db-devel devs diffutils e2fsprogs expat file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gmp gpm gpp gppshare grep groff gzip kbd l2h less libgpp libjpeg libnetpbm libpng libtiff libtool libungif libz m4 make man mktemp mm modutils ncurses ncurses-devel net-tools netcfg netpbm openssl openssl-devel pam pam-devel patch pcre perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel te_ams te_kpath te_latex te_pdf termcap tetex texinfo textutils timezone tix tk unzip util-linux vim xdevel xf86 xshared

Name:         python
Copyright:    Modified CNRI Open Source License
Group:        Development/Languages/Python
Provides:     python
Autoreqprov:  on
Summary:      Python Interpreter
Version:      2.1.1
Release:      78
Source0:      Python-%{version}.tar.bz2
Source1:      html-%{version}.tar.bz2
Source2:      pdf-a4-%{version}.tar.bz2
Source3:      pdf-letter-%{version}.tar.bz2
#Source4:      Tkinter-2.0-8.0.tar.bz2
Source5:      KoreanCodecs-1.4.tar.bz2
#Source6:      pythonhtml.conf
Source7:      README.SuSE
Patch0:       Python-%{version}.diff
Patch1:       Python-64-bit.diff
Patch2:       Python-path.diff
Patch3:       Python-shared.dif
Patch4:       Python-config.dif
Patch5:       Python-2.1-lfs.patch
BuildRoot:    %{_tmppath}/%{name}-root
%define __suffix    2.1
%define __builddir  Python-%{version}
%define apache_libexecdir   %(apxs -q LIBEXECDIR)

%description
Python is an interpreted object-oriented programming language, and is
often compared to Tcl, Perl, Scheme or Java.  A survey of Python you
could find in the documentation and tutorials included in the
pyth_doc (PostScript, HTML) package.
If you have web access, point your browser to http://www.python.org.

Authors:
--------
    Guido van Rossum <guido@python.org>

SuSE series: d

%package doc
Obsoletes:    pyth_doc pyth_ps
Summary:      Python Documentation (HTML)
Group:        Documentation
Autoreqprov:  on

%description doc
Tutorial, Global Module Index, Language Reference, Library Reference,
Extending and Embedding Reference, Python/C API Reference, Documenting
Python and Macintosh Module Reference in HTML format.

SuSE series: doc

%package doc-pdf
Obsoletes:    pyth_pdf
Summary:      Python PDF Documentation
Group:        Documentation
Autoreqprov:  on

%description doc-pdf
Tutorial, Global Module Index, Language Reference, Library Reference,
Extending and Embedding Reference, Python/C API Reference, Documenting
Python and Macintosh Module Reference in PDF format.

Authors:
--------
    Guido van Rossum <guido@python.org>

SuSE series: doc

%package demo
Obsoletes:    pyth_dmo
Requires:     python
Summary:      Python Demonstation Scripts
Group:        Development/Languages/Python
Autoreqprov:  on

%description demo
Various demonstrations of what you can do with Python and a number
of programs that are useful i.e. while building or extending Python.

Authors:
--------
    Guido van Rossum <guido@python.org>

SuSE series: d

%package devel
Requires:     python python-tk
Summary:      The libraries and header files needed for Python development
Group:        Development/Languages/Python
Autoreqprov:  on

%description devel
The Python programming language's interpreter can be extended with
dynamically loaded extensions and can be embedded in other programs.
This package contains the header files and libraries needed to do
these types of tasks.

Authors:
--------
    Guido van Rossum <guido@python.org>

SuSE series: d

%package tk
Obsoletes:    pyth_tk
Requires:     python tk tix blt python_tkinter_lib
Summary:      TkInter - Python Tk Interface
Group:        Development/Libraries/Python
Provides:     python-tk
Autoreqprov:  on

%description tk
Python interface to Tk. Tk is the GUI toolkit coming along with Tcl.
The package "xrpm" e.g., uses this Python interface.

Authors:
--------
    Guido van Rossum <guido@python.org>

SuSE series: d

%package tkinter
Obsoletes:    pyth_tkl
Conflicts:    python-imaging pyimglib
Requires:     python tk tix blt python-tk
Provides:     python_tkinter_lib _tkinter.so
Summary:      TkInter - Python Shared Library
Group:        Development/Libraries/Python
Autoreqprov:  on

%description tkinter
Shared Library for Python Tk Interface (_tkinter.so) -- it is
distributed separately to allow easier replacement with PIL
(Python Imaging Libary - see the pyimglib package).

SuSE series: d

%package curses
Requires:     python ncurses
Obsoletes:    pyth_cur
Summary:      Python interface to the (n)curses library
Group:        Development/Libraries/Python
Autoreqprov:  on

%description curses
An easy to use interface to (n)curses CUI library. CUI stands for
console user interface.

Authors:
--------
    Guido van Rossum <guido@python.org>

SuSE series: d

%package gdbm
Requires:     python
Obsoletes:    pygdmod
Summary:      Python interface to the GDBM library
Group:        Development/Libraries/Python
Autoreqprov:  on

%description gdbm
An easy to use interface to GDBM databases. GDBM is the GNU
implementation of the standard unix dbm databases.

Authors:
--------
    Guido van Rossum <guido@python.org>

SuSE series: d

%package mpz
Requires:     python
Summary:      Python GNU Multi-Precision Schnittstellen-Modul
Group:        Development/Libraries/Python
Autoreqprov:  on

%description mpz
The mpz-module is a interface to the Multi-Precision
library GMP (GNU MP).

SuSE series: d

%package xml
Requires:     python
Summary:      Python XML interface
Group:        Development/Libraries/Python
Autoreqprov:  on

%description xml
The expat-module is a Python interface to expat XML parser.
Since python2.x it is part of the core python distribution.

SuSE series: d

%package nothreads
Summary:      The libraries and header files needed for Python development
Group:        Development/Libraries/Python
Autoreqprov:  on

%description nothreads
The Python programming language's interpreter can be extended with
dynamically loaded extensions and can be embedded in other programs.
This package contains the header files and libraries needed to do
these types of tasks.

Authors:
--------
    Guido van Rossum <guido@python.org>

SuSE series: d

%prep
%setup -n %{__builddir}
%setup -n %{__builddir}/doc/html          -T -D -a 1 -c
%setup -n %{__builddir}/doc/paper-a4      -T -D -a 2 -c
%setup -n %{__builddir}/doc/paper-letter  -T -D -a 3 -c
#%setup -n %{__builddir}                   -T -D -a 4 -a 5
%setup -n %{__builddir}                   -T -D -a 5
%patch0
%patch2
%patch3
%patch4
%patch5
%ifarch alpha ia64 sparc64
%patch1
%endif

%build
# replace rest of /usr/local/bin/python with /usr/bin/env python
for f in `find . -type f -exec grep -l /usr/local/bin/python \{\} \;` ; do
  rm -f tmp
  sed -e "s:^#!.*/usr/local/bin/python:#!/usr/bin/env python:g" $f > tmp
  cp -f tmp $f
done
export CFLAGS="`getconf LFS_CFLAGS` -DHAVE_LARGEFILE_SUPPORT $RPM_OPT_FLAGS"
#echo "$CFLAGS";
export CXXFLAGS="$RPM_OPT_FLAGS"
export OPT="$CFLAGS"
export RPM_BUILD_ROOT
mkdir -p nothreads/Modules
cd nothreads
# *** note the single '>' below!
echo ': ${LDSHARED='gcc -shared'}'     > config.cache
echo ': ${LINKFORSHARED='-rdynamic'}' >> config.cache
echo ': ${CFLAGSFORSHARED='-fPIC'}'   >> config.cache
echo ': ${ac_cv_func_lstat='yes'}'    >> config.cache
cp ../Modules/Setup* Modules/
../configure --prefix=%{apache_libexecdir} --mandir=%{_mandir} \
	--without-threads
#make -C Modules -f Makefile.pre Setup.local
#make -C Modules -f Makefile.pre Makefile
#make 
#make -f Makefile.pre Setup.local
#make -f Makefile.pre Makefile
make 
cd ..
# *** note the single '>' below!
echo ': ${LDSHARED='gcc -shared'}'     > config.cache
echo ': ${LINKFORSHARED='-rdynamic'}' >> config.cache
echo ': ${CFLAGSFORSHARED='-fPIC'}'   >> config.cache
echo ': ${ac_cv_func_lstat='yes'}'    >> config.cache
./configure --prefix=%{_prefix} --mandir=%{_mandir} \
	--with-threads
#make -C Modules -f ../Makefile.pre Setup.local
#make -C Modules -f ../Makefile.pre Makefile
make

%install
export OPT="$RPM_OPT_FLAGS"
export RPM_BUILD_ROOT
for dir in bin lib include ; do
  mkdir -p $RPM_BUILD_ROOT/%{_prefix}/$dir
  mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}/$dir
done
mkdir -p $RPM_BUILD_ROOT/%{_mandir}
# remove old links
for dir in bin include lib ; do
  rm -f $RPM_BUILD_ROOT/%{_prefix}/$dir/python
  rm -f $RPM_BUILD_ROOT/%{apache_libexecdir}/$dir/python
done
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/python.1.gz
cd nothreads
prefix=$RPM_BUILD_ROOT/%{apache_libexecdir} \
	MANDIR=$RPM_BUILD_ROOT/%{_mandir} \
	make -e install libinstall
cd ..
prefix=$RPM_BUILD_ROOT/%{_prefix} \
	MANDIR=$RPM_BUILD_ROOT/%{_mandir} \
	make -e install libinstall
strip $RPM_BUILD_ROOT/usr/bin/python%{__suffix}
strip $RPM_BUILD_ROOT/%{apache_libexecdir}/bin/python%{__suffix}
# remove (hard) links
for dir in bin include lib ; do
  rm -f $RPM_BUILD_ROOT/%{_prefix}/$dir/python
  rm -f $RPM_BUILD_ROOT/%{apache_libexecdir}/$dir/python
done
ln -s python%{__suffix} $RPM_BUILD_ROOT/%{_prefix}/bin/python
ln -s python%{__suffix} $RPM_BUILD_ROOT/%{_prefix}/include/python
ln -s python%{__suffix} $RPM_BUILD_ROOT/%{_prefix}/lib/python
#
# install python binary without suffix for apache...
#
rm -f $RPM_BUILD_ROOT/%{apache_libexecdir}/bin/python
mv -f $RPM_BUILD_ROOT/%{apache_libexecdir}/bin/python%{__suffix} \
      $RPM_BUILD_ROOT/%{apache_libexecdir}/bin/python
ln -s python%{__suffix} $RPM_BUILD_ROOT/%{apache_libexecdir}/include/python
ln -s python%{__suffix} $RPM_BUILD_ROOT/%{apache_libexecdir}/lib/python
[ -d $RPM_BUILD_ROOT/%{apache_libexecdir}/lib/python%{__suffix}/site-packages ] || \
	mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}/lib/python%{__suffix}/site-packages
[ -d $RPM_BUILD_ROOT/%{_prefix}/lib/python%{__suffix}/site-packages ] || \
	mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/python%{__suffix}/site-packages
[ -d $RPM_BUILD_ROOT/%{_prefix}/lib/python%{__suffix}/lib-stdwin ] && \
	rm -rf $RPM_BUILD_ROOT/%{_prefix}/lib/python%{__suffix}/lib-stdwin
[ -d $RPM_BUILD_ROOT/%{apache_libexecdir}/lib/python%{__suffix}/lib-stdwin ] && \
	rm -rf $RPM_BUILD_ROOT/%{apache_libexecdir}/lib/python%{__suffix}/lib-stdwin
gzip -9f $RPM_BUILD_ROOT/%{_mandir}/man1/python.1
#
# we install docs manually, because it is in separate pyth_{doc,...}
# packages and we need to override the rpm default doc-dirs...
#
export PDOCS=${RPM_BUILD_ROOT}%{_defaultdocdir}/%{name}
mkdir   -p -m 755 $PDOCS/Misc
cp      -a doc/{html,paper-a4,paper-letter}         $PDOCS/
install -c -m 644 README                            $PDOCS/
#install -c -m 644 README.SuSE                       $PDOCS/
install -c -m 644 %{SOURCE7}                        $PDOCS/
install -c -m 644 Doc/ACKS                          $PDOCS/ACKS.Doc
install -c -m 644 Doc/TODO                          $PDOCS/TODO.Doc
install -c -m 644 Doc/README                        $PDOCS/README.Doc
#install -c -m 644 Misc/distutils/PythonPowered.bmp  $PDOCS/Misc/
for i in Misc/* ; do
  [ -f $i ] && install -c -m 644 $i                 $PDOCS/Misc/
done
#
# config-file for susehelp
#
install -d $RPM_BUILD_ROOT%{_sysconfdir}/susehelp.d
#install -m 0644 %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/susehelp.d/
#
# install tools and demos
#
find Tools/ Demo/ -type d \( -regex ".*/.cvsignore" \) -exec rm -f \{\} \;
for x in `find Tools/ Demo/ \( -not -name Makefile \) -print | sort` ; do
  test -d $x && ( install -c -m 755 -d $PDOCS/$x ) \
             || ( install -c -m 644 $x $PDOCS/$x )
done
#
# fix permissions
#
#chmod 644 $RPM_BUILD_ROOT/%{_prefix}/lib/python%{__suffix}/plat-linux2/*.py
#chmod 644 $RPM_BUILD_ROOT/%{_prefix}/lib/python%{__suffix}/lib-tk/*.py
#
# install python 2.0 euc-kr codec.
#
pushd KoreanCodecs-1.4
$RPM_BUILD_ROOT/%{_prefix}/bin/python setup.py \
  install --install-lib='$RPM_BUILD_ROOT%{_prefix}/lib/python%{__suffix}/encodings'
popd
#
# call SuSE Check
#

%files nothreads
%{apache_libexecdir}/bin/python*
%{apache_libexecdir}/lib/python
%{apache_libexecdir}/lib/python%{__suffix}
%{apache_libexecdir}/include/python
%{apache_libexecdir}/include/python%{__suffix}

%files doc
%dir %{_defaultdocdir}/%{name}
%doc %{_defaultdocdir}/%{name}/Misc
%doc %{_defaultdocdir}/%{name}/html
%doc %{_defaultdocdir}/%{name}/ACKS.Doc
%doc %{_defaultdocdir}/%{name}/TODO.Doc
%doc %{_defaultdocdir}/%{name}/README.Doc
#%config %{_sysconfdir}/susehelp.d/pythonhtml.conf

%files doc-pdf
%dir %{_defaultdocdir}/%{name}
%dir %{_defaultdocdir}/%{name}/paper-a4
%dir %{_defaultdocdir}/%{name}/paper-letter
%doc %{_defaultdocdir}/%{name}/paper-a4/*.pdf
%doc %{_defaultdocdir}/%{name}/paper-letter/*.pdf

%files demo
%dir %{_defaultdocdir}/%{name}
%doc %{_defaultdocdir}/%{name}/Demo
%doc %{_defaultdocdir}/%{name}/Tools

%files tk
%dir %{_prefix}/lib/python%{__suffix}/lib-tk
%{_prefix}/lib/python%{__suffix}/lib-tk/*

%files tkinter
%{_prefix}/lib/python%{__suffix}/lib-dynload/_tkinter.so

%files curses
%{_prefix}/lib/python%{__suffix}/lib-dynload/_cursesmodule.so

%files gdbm
%{_prefix}/lib/python%{__suffix}/lib-dynload/gdbmmodule.so

%files mpz
%{_prefix}/lib/python%{__suffix}/lib-dynload/mpzmodule.so

%files xml
%{_prefix}/lib/python%{__suffix}/xml
%{_prefix}/lib/python%{__suffix}/lib-dynload/pyexpat.so

%files devel
%{_prefix}/include/python
%dir %{_prefix}/include/python%{__suffix}
%{_prefix}/include/python%{__suffix}/*
%{_prefix}/lib/python%{__suffix}/test

%files
%dir %{_defaultdocdir}/%{name}
%doc %{_defaultdocdir}/%{name}/README
%doc %{_defaultdocdir}/%{name}/README.SuSE
%doc %{_mandir}/man1/python.1*
%{_prefix}/bin/python
%{_prefix}/bin/python%{__suffix}
%{_prefix}/lib/python
%{_prefix}/lib/python%{__suffix}/*.*
%dir %{_prefix}/lib/python%{__suffix}
%{_prefix}/lib/python%{__suffix}/config
%{_prefix}/lib/python%{__suffix}/curses
%{_prefix}/lib/python%{__suffix}/lib-old
%{_prefix}/lib/python%{__suffix}/distutils
%{_prefix}/lib/python%{__suffix}/encodings
%{_prefix}/lib/python%{__suffix}/plat-linux2
%dir %{_prefix}/lib/python%{__suffix}/site-packages
%{_prefix}/lib/python%{__suffix}/site-packages/README
%dir %{_prefix}/lib/python%{__suffix}/lib-dynload
%{_prefix}/lib/python%{__suffix}/lib-dynload/readline.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/rotormodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/cryptmodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/binascii.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/parsermodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/md5module.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/nismodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/timemodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/zlibmodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/arraymodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/dbmmodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/cmathmodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/unicodedata.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/errnomodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/resource.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/pwdmodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/fpetestmodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/shamodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/fcntlmodule.so
#%{_prefix}/lib/python%{__suffix}/lib-dynload/soundex.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/fpectlmodule.so
#%{_prefix}/lib/python%{__suffix}/lib-dynload/ucnhash.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/mathmodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/cPickle.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/termios.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/structmodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/selectmodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/timingmodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/cStringIO.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/mmapmodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/linuxaudiodev.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/_codecsmodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/operator.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/syslogmodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/grpmodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/stropmodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/newmodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/regex.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/_localemodule.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/_socketmodule.so
%ifnarch alpha ia64
%{_prefix}/lib/python%{__suffix}/lib-dynload/imageop.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/audioop.so
%{_prefix}/lib/python%{__suffix}/lib-dynload/rgbimgmodule.so
%endif

%changelog -n python
* Mon Sep 03 2001 - rvasice@suse.cz
- added patch for Large File Support
* Mon Aug 27 2001 - rvasice@suse.cz
- removed conflicting file /etc/susehelp.d/pythonhtml.conf from
  subpackage python-doc
* Fri Aug 17 2001 - schwab@suse.de
- Compile python library with -fPIC to allow inclusion in shared
  libraries.
- Fix configure check for rl_completion_matches.
- Replace use of config.guess by %%ifarch.
* Mon Aug 13 2001 - ro@suse.de
- added regex module (needed for yodl)
- filelist probably needs re-check
* Mon Jul 30 2001 - rvasice@suse.cz
- fix /usr/local path
* Fri Jul 27 2001 - rvasice@suse.cz
- update to version 2.1.1
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Fri Apr 13 2001 - kukuk@suse.de
- fix build with new readline library
* Wed Apr 11 2001 - utuerk@suse.de
- added pythonhtml.conf for susehelp
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Mon Jan 22 2001 - kukuk@suse.de
- Use -fPIC
* Tue Jan 16 2001 - schwab@suse.de
- Compile python library with -fpic so that it can be included in a
  shared library (for mod_python).
* Mon Jan 15 2001 - mt@suse.de
- added uc-kr codec, thanks to Hwang, SangJin <violiet@susekorea.net>
* Sun Dec 31 2000 - schwab@suse.de
- Fix filelist for ia64.
* Mon Dec 18 2000 - mt@suse.de
- added sub-package python-nothreads for mod_python apache-module
- added Obsoletes for old 8.3 packages names
* Wed Dec 06 2000 - mt@suse.de
- cleaned up pythons tk dependencies
* Thu Nov 30 2000 - ro@suse.de
- fixed tix-link
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Mon Nov 27 2000 - mt@suse.de
- changed libnetpb to libnetpbm in neededforbuild
- changed file-list in python-devel
* Thu Nov 23 2000 - mt@suse.de
- added openssl-devel to neededforbuild
* Wed Nov 22 2000 - mt@suse.de
- removed site-packages from Setup.in patch
- python-64bit.patch should be used on all 64bit platforms
* Sun Nov 19 2000 - mt@suse.de
- updated to BeOpen-Python-2.0
* Fri Oct 27 2000 - kukuk@suse.de
- Use long filenames
- Fix some paths
- Include <db3/db_185.h>
* Thu Jul 06 2000 - mt@suse.de
- added anydbm (whichdb.py) patch from www.tummy.com
* Sat May 27 2000 - kukuk@suse.de
- Use libtk8.3.so and libtcl8.3.so
* Thu May 04 2000 - kukuk@suse.de
- Fix filelist for new doc dir
* Mon Mar 13 2000 - ro@suse.de
- fixed filelist for alpha
* Wed Mar 01 2000 - werner@suse.de
- Fix config.guess selection
* Wed Feb 16 2000 - uli@suse.de
- passing MANDIR to "make install libinstall" (seems like it gets
  lost somewhere)
* Wed Feb 16 2000 - ro@suse.de
- man to /usr/share using macro
* Tue Feb 15 2000 - mt@suse.de
- stripped the python binary
* Mon Oct 11 1999 - max@suse.de
- ready for the new Tcl/Tk packages
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 20 1999 - ro@suse.de
- added python_image_lib as requires to pyth_tk and as provides to pyth_tkl
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 07 1999 - mt@suse.de
- disabled pyth_dvi module in spec-file
* Wed May 26 1999 - ro@suse.de
- added libpng to neededforbuild
* Wed May 26 1999 - ro@suse.de
- added blt to neededforbuild
* Tue May 25 1999 - mt@suse.de
- new version 1.5.2
- splited into sub-packages: pyth_doc, pyth_ps, pyth_pdf,
  pyth_dvi, pyth_dmo, pyth_tk, pyth_tkl, pyth_cur, pythgdbm
  to have better base-package compatibility to andrich.net.
* Thu Mar 18 1999 - ro@suse.de
- don't set POSIXLY_CORRECT for second patch
* Mon Jan 18 1999 - ro@suse.de
- added automake to neededforbuild
- alpha-fix: don't mix up dec-osf with linux-alpha
* Tue Dec 01 1998 - mt@suse.de
- removed TkInter into a separate package - pyth_tk - to make it
  possible to replace it with a PIL based TkInter (Python Imaging
  Lib) and better package dependecies (not each app needs TkInter)
- removed Makefile.Linux - all build is done from spec file now
- more /usr/local path fixes
* Fri Nov 06 1998 - ro@suse.de
- added automake to neededforbuild
- configure with threads
* Thu Nov 05 1998 - ro@suse.de
- use db_185.h only for glibc-2.1
* Wed Sep 23 1998 - ro@suse.de
- two hacks to compile for glibc:
  Modules/bsddbmodule.c include db_185.h for glibc
  Modules/mpzmodule.c   gmp-mparam.h dont exist for glibc / use define
* Sun Aug 23 1998 - ke@suse.de
- Compress PostScript docu.
* Mon Aug 17 1998 - mt@suse.de
- linked readline- and curses-modules with ncurses
* Fri Aug 07 1998 - mt@suse.de
- python modules - file permissions changed (-x)
* Sat Jul 11 1998 - bs@suse.de
- fixed neededforbuild
* Thu Jul 09 1998 - mt@suse.de
- new revision 1.5.1
- docu in a separate package (pyth_doc)
- Tkinter uses tk8.0/tcl8.0 now
- first attempt to make it "alpha ready" (spec- & dif-file)
* Mon Mar 02 1998 - ro@suse.de
- fixed dependency to /usr/local/bin/python
* Mon Feb 09 1998 - ro@suse.de
- added some in neededforbuild
* Wed Feb 04 1998 - mt@suse.de
- new Version 1.5 with more features, html documentation and new modules
* Mon Sep 15 1997 - mt@suse.de
- added support for readline and (shared) modules: tkinter, dbm, gdbm,
  syslog, ncurses, ... - see /usr/lib/python1.4/config/Setup for details
* Thu Jun 05 1997 - mt@suse.de
- new Version 1.4
- a symlink (python -> python1.4) will be used instead of a hardlink
